List orders

Permissions required: Execute trades or Read trade activity

List all orders. With the permission Read trade activity all orders of the organization may be read. With the permission Execute trades only the orders created by this API key may be read.

Orders are sorted in a descending order by their timestamp, i.e. the most recent order or the order with a timestamp closest to endDate is listed first.

When filtering by subaccountId, the allocation information is included but filtered to show only the allocation for the requested subaccount.
For multi-order requests without a subaccount filter, allocation information is not included.
To get complete allocation information, use GET /v2/trading/orders/{orderId}

Filters

You may optionally supply filters for the list of orders using query parameters below

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The ID of the account to filter orders by. If provided, only orders for this account will be returned.

string

The ID of the subaccount to filter orders by. If provided, only orders for this subaccount will be returned.

date-time

The start date-time of the trades (exclusive) in YYYY-MM-DDTHH:MM:SS.nnnnnnnnn format. The earliest valid start date-time is '2017-01-01T00:00:00.000000000'. The last valid start date-time is the current date-time. Date-times are always in UTC RFC 3339 'date-time'.

date-time

The end date-time of the trades (exclusive) in YYYY-MM-DDTHH:MM:SS.nnnnnnnnn format. The latest valid end date-time is the current date-time. The earliest valid end date-time is '2017-01-01T00:00:00.000000000'. Date-times are always in UTC RFC 3339 'date-time'.

status
array of strings

One or more statuses to filter orders. If provided, only orders matching these statuses will be returned. If OPEN status is specified, the call returns all orders in [PENDING,NEW,PENDING_CANCEL,PARTIALLY_FILLED] states.

orderIds
array of strings
length between 1 and 500

A list of orderIds to return. Invalid orderIds will be ignored. A maximum number of unique 500 order ids are enforced per call.

orderIds
clientOrderIds
array of strings
length between 1 and 500

A list of clientOrderIds to return. Invalid clientOrderIds will be ignored. A maximum number of unique 500 order ids are enforced per call.

clientOrderIds
int64
1 to 2000
Defaults to 100

Maximum number of results to return per query

orderTypes
array of strings

One or more types to filter orders. If provided, only orders matching these types will be returned.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json